Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Class SurfaceBoundaryImpl

    java.lang.Object
      org.deegree.model.spatialschema.GeometryImpl
          org.deegree.model.spatialschema.BoundaryImpl
              org.deegree.model.spatialschema.PrimitiveBoundaryImpl
                  org.deegree.model.spatialschema.SurfaceBoundaryImpl

All Implemented Interfaces:
  Serializable, Boundary, Geometry, PrimitiveBoundary, SurfaceBoundary

    public class SurfaceBoundaryImpl

extends PrimitiveBoundaryImpl
implements SurfaceBoundary, Serializable

default implementation of the SurfaceBoundary interface. ------------------------------------------------------------

Version:
  11.6.2001
Author:
  Andreas Poth href="mailto:poth@lat-lon.de"
See Also:
  Serialized Form

Field Summary
`Ring` | `exterior` The exterior ring of the surface boundary
`Ring[]` | `interior` The interior ring of the surface boundary

Fields inherited from class org.deegree.model.spatialschema.GeometryImpl
`boundary, centroid, convexHull, crs, empty, envelope, mute, valid`

Fields inherited from interface org.deegree.model.spatialschema.Geometry
`BUFFER_CAP_BUTT, BUFFER_CAP_ROUND, BUFFER_CAP_SQUARE`

Constructor Summary
`protected` | `SurfaceBoundaryImpl(Ring exterior, Ring[] interior)`

Method Summary
`protected void` | `calculateParam()` recalculates internal parameters
`Object` | `clone()`
`boolean` | `contains(Geometry gmo)` The Boolean valued operation "contains" shall return TRUE if this Geometry contains another Geometry.
`boolean` | `contains(Position position)` The Boolean valued operation "contains" shall return TRUE if this Geometry contains a single point given by a coordinate.
`boolean` | `equals(Object other)` Compares the Geometry to be equal to another Geometry.
`Boundary` | `getBoundary()` returns the boundary of the surface as general boundary
`int` | `getCoordinateDimension()` The operation "coordinateDimension" shall return the dimension of the coordinates that define this Geometry, which must be the same as the coordinate dimension of the coordinate reference system for this Geometry.
`int` | `getDimension()` The operation "dimension" shall return the inherent dimension of this Geometry, which shall be less than or equal to the coordinate dimension.
`Ring` | `getExteriorRing()` get the exterior ring
`Ring[]` | `getInteriorRings()` gets the interior ring(s)
`boolean` | `intersects(Geometry gmo)` The Boolean valued operation "intersects" shall return TRUE if this Geometry intersects another Geometry.
`String` | `toString()`

Methods inherited from class org.deegree.model.spatialschema.BoundaryImpl
`isCycle`

Methods inherited from class org.deegree.model.spatialschema.GeometryImpl
`difference, distance, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateSystem, getEnvelope, getTolerance, intersection, isEmpty, isValid, isWithinDistance, setCoordinateSystem, setEmpty, setTolerance, setValid, translate, union`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.deegree.model.spatialschema.Boundary
`isCycle`

Methods inherited from interface org.deegree.model.spatialschema.Geometry
`difference, distance, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateSystem, getEnvelope, getTolerance, intersection, isEmpty, isWithinDistance, setTolerance, translate, union`

Field Detail

### exterior

    public Ring exterior

  The exterior ring of the surface boundary

### interior

    public Ring[] interior

  The interior ring of the surface boundary

Constructor Detail

### SurfaceBoundaryImpl

    protected SurfaceBoundaryImpl(Ring exterior,
                                  Ring[] interior)

Parameters:
  `exterior` -
  `interior` -

Method Detail

### getExteriorRing

    public Ring getExteriorRing()

  Description copied from interface: `SurfaceBoundary`
  get the exterior ring

  Specified by:
    `getExteriorRing` in interface `SurfaceBoundary`
  Returns:
    the exterior ring

### getInteriorRings

    public Ring[] getInteriorRings()

  Description copied from interface: `SurfaceBoundary`
  gets the interior ring(s)

  Specified by:
    `getInteriorRings` in interface `SurfaceBoundary`
  Returns:
    the interior ring(s)

### getBoundary

    public Boundary getBoundary()

  Description copied from class: `GeometryImpl`
  returns the boundary of the surface as general boundary

  Specified by:
    `getBoundary` in interface `Geometry`
  Overrides:
    `getBoundary` in class `GeometryImpl`
  Returns:
    the boundary of the boundary

### equals

    public boolean equals(Object other)

  Description copied from class: `GeometryImpl`
  Compares the Geometry to be equal to another Geometry.

  Overrides:
    `equals` in class `GeometryImpl`
  Parameters:
    `other` - the Geometry to test for equality
  Returns:
    true if the objects are equal, else false

### getDimension

    public int getDimension()

  The operation "dimension" shall return the inherent dimension of this Geometry, which shall be less than or equal to the coordinate dimension. The dimension of a collection of geometric objects shall be the largest dimension of any of its pieces. Points are 0-dimensional, curves are 1-dimensional, surfaces are 2-dimensional, and solids are 3-dimensional.

  Specified by:
    `getDimension` in interface `Geometry`
  Returns:
    the for this geometry defined dimension.

### getCoordinateDimension

    public int getCoordinateDimension()

  The operation "coordinateDimension" shall return the dimension of the coordinates that define this Geometry, which must be the same as the coordinate dimension of the coordinate reference system for this Geometry.

  Specified by:
    `getCoordinateDimension` in interface `Geometry`
  Returns:
    the actual dimension

### clone

    public Object clone()

  Overrides:
    `clone` in class `GeometryImpl`

### intersects

    public boolean intersects(Geometry gmo)

  Description copied from class: `GeometryImpl`
  The Boolean valued operation "intersects" shall return TRUE if this Geometry intersects another Geometry. Within a Complex, the Primitives do not intersect one another. In general, topologically structured data uses shared geometric objects to capture intersection information.

  Specified by:
    `intersects` in interface `Geometry`
  Overrides:
    `intersects` in class `GeometryImpl`
  Parameters:
    `gmo` - the Geometry to intersect with
  Returns:
    true if the objects intersects, else false

### contains

    public boolean contains(Geometry gmo)

  Description copied from class: `GeometryImpl`
  The Boolean valued operation "contains" shall return TRUE if this Geometry contains another Geometry.

  Specified by:
    `contains` in interface `Geometry`
  Overrides:
    `contains` in class `GeometryImpl`
  Parameters:
    `gmo` - the Geometry to test (whether is is contained)
  Returns:
    true if the given object is contained, else false

### contains

    public boolean contains(Position position)

  The Boolean valued operation "contains" shall return TRUE if this Geometry contains a single point given by a coordinate.

  dummy implementation

  Specified by:
    `contains` in interface `Geometry`
  Overrides:
    `contains` in class `GeometryImpl`
  Parameters:
    `position` - Position to test (whether is is contained)
  Returns:
    true if the given object is contained, else false

### calculateParam

    protected void calculateParam()

  Description copied from class: `GeometryImpl`
  recalculates internal parameters

  Specified by:
    `calculateParam` in class `GeometryImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `GeometryImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org